Package: org.gmetrics.report

## [Groovy] Class SingleSeriesHtmlReportWriter

- org.gmetrics.report.SingleSeriesHtmlReportWriter

- ReportWriter that generates a HTML report for a single series of metric values. This single series is specified by a single Metric, a level (package, class or method) and a single function (total, average, minimum, maximum).

  The `metric`, `level` and `function` properties are required (must be non-null and non-empty). These three properties uniquely identify a single series of metric values.

  The `metric` property must specify the name (case-sensitive) of a single Metric (for example "CyclomaticComplexity") included in the analysis results.

  The `level` property must be set to one of: "package", "class" or "method".

  The `function` property must be set to the name of a function supported by the metric, typically one of: "total", "average", "minimum" or "maximum".

  The `sort` property is optional, and if not `null` or empty, must either have the value of "ascending" or "descending", and causes the results to be sorted numerically in either ascending or descending order.

  The `maxResults` property is optional. A value of `null`, empty or `0` means no limit. Otherwise, the value must be positive, and limits the number of results returned.

  The `greaterThan` property is optional. The value specifies a threshold -- only results with a larger value are returned. A value of `null` or empty means no threshold.

  The `lessThan` property is optional. The value specifies a threshold -- only results with a smaller value are returned. A value of `null` or empty means no threshold.
  Authors:
    Chris Mair

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static def` | `DEFAULT_CSS_FILE` |
    `static def` | `DEFAULT_OUTPUT_FILE` |
    `protected static def` | `DEFAULT_TITLE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractReportWriter` | `BASE_MESSAGES_BUNDLE, CUSTOM_MESSAGES_BUNDLE, GMETRICS_URL, LOG, customMessagesBundleName, formatterFactory, formatters, getTimestamp, initializeResourceBundle, resourceBundle`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static def` | `defaultOutputFile`
    `String` | `subtitle`
    `String` | `title`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `writeReport(Writer writer, ResultsNode resultsNode, AnalysisContext analysisContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractReportWriter` | `formatMetricResultValue, getFormattedTimestamp, getResourceBundleString, getResourceBundleStringOrNull, initializeDefaultResourceBundle, initializeFormatters, writeReport, writeReport`

- - ### Field Detail

    - #### protected static final def DEFAULT_CSS_FILE

    - #### public static final def DEFAULT_OUTPUT_FILE

    - #### protected static final def DEFAULT_TITLE

  - ### Property Detail

    - #### static def defaultOutputFile

    - #### String subtitle

    - #### String title

  - ### Method Detail

    - #### @Override protected void writeReport(Writer writer, ResultsNode resultsNode, AnalysisContext analysisContext)